WPSDocumentParsingState Struct Reference documentation

WPSDocumentParsingState Struct Reference

the document state More...

## Public Member Functions
| WPSDocumentParsingState (std::vector< WPSPageSpan > const &pageList)
| constructor
| ~WPSDocumentParsingState ()
| destructor

## Public Attributes
std::vector< WPSPageSpan > | m_pageList
librevenge::RVNGPropertyList | m_metaData
int | m_footNoteNumber
| footnote number
int | m_endNoteNumber
| endnote number
int | m_newListId
bool | m_isDocumentStarted
bool | m_isHeaderFooterStarted
std::vector< WPSSubDocumentPtr > | m_subDocuments

## Private Member Functions
| WPSDocumentParsingState (const WPSDocumentParsingState &)=delete
| list of document actually open
WPSDocumentParsingState & | operator= (const WPSDocumentParsingState &)=delete

## Detailed Description

the document state

## Constructor & Destructor Documentation

## ◆ WPSDocumentParsingState() [1/2]

WPSDocumentParsingState::WPSDocumentParsingState | ( | std::vector< WPSPageSpan > const & | pageList | ) |
| explicit

constructor

Referenced by operator=(), and WPSDocumentParsingState().

## ◆ ~WPSDocumentParsingState()

WPSDocumentParsingState::~WPSDocumentParsingState | ( |  | ) |

destructor

## ◆ WPSDocumentParsingState() [2/2]

WPSDocumentParsingState::WPSDocumentParsingState | ( | const WPSDocumentParsingState & |  | ) |
| privatedelete

list of document actually open

## Member Function Documentation

## ◆ operator=()

WPSDocumentParsingState & WPSDocumentParsingState::operator= | ( | const WPSDocumentParsingState & |  | ) |
| privatedelete

## Member Data Documentation

## ◆ m_endNoteNumber

int WPSDocumentParsingState::m_endNoteNumber

endnote number

Referenced by WPSDocumentParsingState().

## ◆ m_footNoteNumber

int WPSDocumentParsingState::m_footNoteNumber

footnote number

Referenced by WPSDocumentParsingState().

## ◆ m_isDocumentStarted

bool WPSDocumentParsingState::m_isDocumentStarted

Referenced by WPSDocumentParsingState().

## ◆ m_isHeaderFooterStarted

bool WPSDocumentParsingState::m_isHeaderFooterStarted

Referenced by WPSDocumentParsingState().

## ◆ m_metaData

librevenge::RVNGPropertyList WPSDocumentParsingState::m_metaData

Referenced by WPSDocumentParsingState().

## ◆ m_newListId

int WPSDocumentParsingState::m_newListId

Referenced by WPSDocumentParsingState().

## ◆ m_pageList

std::vector<WPSPageSpan> WPSDocumentParsingState::m_pageList

Referenced by WPSDocumentParsingState().

## ◆ m_subDocuments

std::vector<WPSSubDocumentPtr> WPSDocumentParsingState::m_subDocuments

Referenced by WPSDocumentParsingState().

The documentation for this struct was generated from the following file:

- WPSContentListener.cpp